Tutorial :Fluent NHibernate 1.1 with Microsoft Access 2007 Database



Question:

Is it possible to use Fluent 1.1 with Access? I found this site here that shows how to create a configuration file that can be passed into Fluently.Configure(config). The issue with this is that you need to use NHibernate 1.2.1 which Fluent gets upset with because it has a reference to version 2.1.2.4000. Here is the error:

Error   1   Assembly 'FluentNHibernate, Version=1.1.0.685, Culture=neutral, PublicKeyToken=8aa435e3cb308880' uses 'NHibernate, Version=2.1.2.4000, Culture=neutral, PublicKeyToken=aa95f207798dfdb4' which has a higher version than referenced assembly 'NHibernate, Version=1.2.1.4000, Culture=neutral, PublicKeyToken=aa95f207798dfdb4' d:\Project\lib\FluentNHibernate.dll Project  

Is this possible?


Solution:1

This should sort you out.

Alternatively, try this page.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »